package com.icomsys.main_vm.biz.rcp.intentAnalysis.service.impl;

import com.icomsys.main_vm.biz.rcp.intentAnalysis.service.IntentAnalysisService;
import com.icomsys.main_vm.db.mybatis.alias.MonitoringIntentAnalysisVO;
import com.icomsys.main_vm.db.mybatis.mapper.IntentAnalysisMapper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.HashMap;
import java.util.List;

@Service
public class IntentAnalysisServiceImpl implements IntentAnalysisService {

    @Autowired
    private IntentAnalysisMapper intentAnalysisMapper;

    @Override
    public List<HashMap> selectIntentNameList(MonitoringIntentAnalysisVO vo) {
        return intentAnalysisMapper.selectIntentNameList(vo);
    }

    @Override
    public String selectServiceGroupUpper(MonitoringIntentAnalysisVO vo) {
        return intentAnalysisMapper.selectServiceGroupUpper(vo);
    }

    @Override
    public String selectOprByServiceCode(MonitoringIntentAnalysisVO vo) {
        return intentAnalysisMapper.selectOprByServiceCode(vo);
    }

    @Override
    public List<HashMap> selectIntentAnalysisList(MonitoringIntentAnalysisVO vo) {
        return intentAnalysisMapper.selectIntentAnalysisList(vo);
    }

    @Override
    public int selectIntentAnalysisListCnt(MonitoringIntentAnalysisVO vo) {
        return intentAnalysisMapper.selectIntentAnalysisListCnt(vo);
    }
}
